org.eclipse.gef4.zest.core.widgets.decoration

## Class DefaultConnectionDecorator

- java.lang.Object
- - org.eclipse.gef4.zest.core.widgets.decoration.DefaultConnectionDecorator

All Implemented Interfaces:
  IConnectionDecorator

    public class DefaultConnectionDecorator
    extends java.lang.Object
    implements IConnectionDecorator

### Constructor Summary

Constructors
Constructor and Description
`DefaultConnectionDecorator()`

### Method Summary

Methods
`void` `decorateConnection(GraphConnection connection, org.eclipse.draw2d.PolylineConnection figure)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultConnectionDecorator

    public DefaultConnectionDecorator()

### Method Detail

#### decorateConnection

    public void decorateConnection(GraphConnection connection,
                          org.eclipse.draw2d.PolylineConnection figure)

Specified by:
  `decorateConnection` in interface `IConnectionDecorator`